View Issue Details

IDProjectCategoryView StatusLast Update
0008092VALENTINA STUDIOTool - Schema Editorpublic2017-11-05 17:44
ReporterCarlos FuentesAssigned ToSergey Pashkov 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMAC OS OS Version*
Product Version7.4.x 
Target Version7.5.xFixed in Version7.5.x 
Summary0008092: Schema Editor hangs on large PostgreSQL tables
DescriptionWhen selecting tables that have many rows (10's of gigabytes in size), I get the spinning beach ball on the Mac (a.k.a. app hangs). Sometimes it will come back and sometimes it just takes so long that I never find out if it comes back because I have to quit it to continue to work (hours). I know this may be hard to troubleshoot so is there a way for me to log what Valentina Studio is doing at the moment when it hangs... Can it create a log of the queries it is performing when I select a table from the schema browser. I'm thinking that if we can find what query it gets stuck on then we can change it or find a work around.
Steps To ReproduceSelect a sufficiently large table in the schema browser (at least on the Mac with Postgresql).
Additional InformationLatest Mac OS, latest Postgresql, latest Valentina Studio
TagsNo tags attached.
Working with DB:postgreSQL Server
Version of your DB9.6

Activities

Sergey Pashkov

Sergey Pashkov

2017-11-01 16:59

developer   ~0009941

Hello Carlos,

There is the Query Log button in the main toolbar.
This log contains execution time for each query.

The first thing to improve - is to use estimate record count like it is done in MySQL.
We'll do it for the next build.
Carlos Fuentes

Carlos Fuentes

2017-11-01 18:54

reporter   ~0009943

Oh wow, I can't believe I never noticed the Query Log Button!!! That is going to be incredibly helpful. Also you are absolutely right the issue is the count: The count on the table took 1616.080 seconds!

I see what you mean about estimates:
https://wiki.postgresql.org/wiki/Count_estimate

BTW when sorting the log by "Time" it sorts alphabetically not numerically. I will create a ticket for that in case so you have a note of it even tho I know it is not super important.
Sergey Pashkov

Sergey Pashkov

2017-11-02 10:52

developer   ~0009946

Yes, thank you.
Fix will be available in the version 7.5.3
Sergey Pashkov

Sergey Pashkov

2017-11-05 17:43

developer   ~0009952

Version 7.5.3 is available for download

Issue History

Date Modified Username Field Change
2017-11-01 16:11 Carlos Fuentes New Issue
2017-11-01 16:19 Sergey Pashkov Assigned To => Sergey Pashkov
2017-11-01 16:19 Sergey Pashkov Status new => assigned
2017-11-01 16:59 Sergey Pashkov Note Added: 0009941
2017-11-01 18:54 Carlos Fuentes Note Added: 0009943
2017-11-02 10:52 Sergey Pashkov Note Added: 0009946
2017-11-02 10:52 Sergey Pashkov Status assigned => resolved
2017-11-02 10:52 Sergey Pashkov Resolution open => fixed
2017-11-02 10:52 Sergey Pashkov Fixed in Version => 7.5.x
2017-11-02 10:52 Sergey Pashkov Target Version => 7.5.x
2017-11-05 17:43 Sergey Pashkov Note Added: 0009952
2017-11-05 17:43 Sergey Pashkov Status resolved => feedback
2017-11-05 17:43 Sergey Pashkov Resolution fixed => reopened
2017-11-05 17:44 Sergey Pashkov Status feedback => resolved
2017-11-05 17:44 Sergey Pashkov Resolution reopened => fixed
2017-11-05 17:44 Sergey Pashkov Summary Schema Editor hangs on large tables => Schema Editor hangs on large PostgreSQL tables